var search_data = {"index":{"searchIndex":["orf","orfcommon","orffinder","aa()","aa()","all_codons_indices()","all_sequences()","direct()","filter_codons_by_frame()","find()","find()","find_longest()","frame_sym()","get_range()","get_range_str()","index_normalization()","longest()","new()","new()","nt()","nt()","print_range()","range_to_s()","reverse()","sequences_in_frame()","size_of_frame()","valid_sequences_by_frame()"],"longSearchIndex":["orf","orf::orfcommon","orffinder","orf#aa()","orffinder#aa()","orf#all_codons_indices()","orf#all_sequences()","orffinder#direct()","orf#filter_codons_by_frame()","orf::find()","orf#find()","orf#find_longest()","orf::orfcommon#frame_sym()","orf::orfcommon#get_range()","orf::orfcommon#get_range_str()","orf::orfcommon#index_normalization()","orf#longest()","orf::new()","orffinder::new()","orf#nt()","orffinder#nt()","orf::orfcommon#print_range()","orf::orfcommon#range_to_s()","orffinder#reverse()","orf#sequences_in_frame()","orf::orfcommon#size_of_frame()","orf#valid_sequences_by_frame()"],"info":[["ORF","","ORF.html","",""],["ORF::ORFCommon","","ORF/ORFCommon.html","",""],["ORFFinder","","ORFFinder.html","","<p>Wrapper class that processes the direct and reverse sequences\n"],["aa","ORF","ORF.html#method-i-aa","(codon_table = DEFAULT_CODON_TABLE)","<p>return aminoacid sequence\n"],["aa","ORFFinder","ORFFinder.html#method-i-aa","()",""],["all_codons_indices","ORF","ORF.html#method-i-all_codons_indices","(option_name)","<p>Find all indexes for valid codons\n\n<pre>(either for :start or :stop)</pre>\n"],["all_sequences","ORF","ORF.html#method-i-all_sequences","(start_idx, stop_idx, seq_size, read_frame = [0, 1, 2])",""],["direct","ORFFinder","ORFFinder.html#method-i-direct","()",""],["filter_codons_by_frame","ORF","ORF.html#method-i-filter_codons_by_frame","(idxs, frame, start = true)","<p>get indexes only from a given frame because of a bug the start flag must be given\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">indicating</span> <span class=\"ruby-keyword\">if</span> <span class=\"ruby-identifier\">it</span> <span class=\"ruby-identifier\">is</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["find","ORF","ORF.html#method-c-find","(sequence, options = {})","<p>For a given sequence, find longest ORF\n"],["find","ORF","ORF.html#method-i-find","()","<p>finds all possible orfs in sequence\n"],["find_longest","ORF","ORF.html#method-i-find_longest","(frame, index, orf)","<p>iterate over all ranges in frame and find the longest\n"],["frame_sym","ORF::ORFCommon","ORF/ORFCommon.html#method-i-frame_sym","(index)","<p>create hash symbol from index\n"],["get_range","ORF::ORFCommon","ORF/ORFCommon.html#method-i-get_range","(arg1, arg2 = nil)","<p>transform range to sequence\n"],["get_range_str","ORF::ORFCommon","ORF/ORFCommon.html#method-i-get_range_str","(start, stop, include_codons = true)","<p>tranform range to string\n"],["index_normalization","ORF::ORFCommon","ORF/ORFCommon.html#method-i-index_normalization","(option_name, idx)","<p>necessary normalization for index to start after\n\n<pre>start codon and end just before stop codon</pre>\n<p>example: aaa …\n"],["longest","ORF","ORF.html#method-i-longest","(codon_table = DEFAULT_CODON_TABLE)","<p>get the longest sequence in each frame and translate\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">to</span> <span class=\"ruby-identifier\">aminoacid</span>\n</pre>\n"],["new","ORF","ORF.html#method-c-new","(sequence, options = {}, logger_file = nil)","<p>class initializer that normalizes sequence to Bio::Sequence,\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">merges</span> <span class=\"ruby-identifier\">given</span> <span class=\"ruby-identifier\">options</span> <span class=\"ruby-keyword\">and</span> <span class=\"ruby-identifier\">creates</span> <span class=\"ruby-identifier\">logger</span>\n</pre>\n"],["new","ORFFinder","ORFFinder.html#method-c-new","(sequence, codon_table = 1, options = {}, logger = nil)",""],["nt","ORF","ORF.html#method-i-nt","(codon_table = DEFAULT_CODON_TABLE)","<p>return nucletotide sequence\n"],["nt","ORFFinder","ORFFinder.html#method-i-nt","()",""],["print_range","ORF::ORFCommon","ORF/ORFCommon.html#method-i-print_range","(key, range)","<p>auxiliary method that prints range\n"],["range_to_s","ORF::ORFCommon","ORF/ORFCommon.html#method-i-range_to_s","(range, str = '')",""],["reverse","ORFFinder","ORFFinder.html#method-i-reverse","()",""],["sequences_in_frame","ORF","ORF.html#method-i-sequences_in_frame","(idxs, arrays, seq_size, frame, added_pos)","<p>given star and stop codons indexes, decide which are the valid\n\n<pre>sequence for an orf</pre>\n<p>TODO: reject sequences …\n"],["size_of_frame","ORF::ORFCommon","ORF/ORFCommon.html#method-i-size_of_frame","(frame)",""],["valid_sequences_by_frame","ORF","ORF.html#method-i-valid_sequences_by_frame","(start_idxs, stop_idxs, frame, seq_size)","<p>from the combination of start and stop indexes, find\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">longest</span> <span class=\"ruby-identifier\">one</span>\n</pre>\n"]]}}